Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.convert
Class StringArrayConverter

    java.lang.Object
      org.apache.myfaces.convert.StringArrayConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

public class StringArrayConverter
extends java.lang.Object
implements javax.faces.convert.Converter

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: matze $)

Constructor Summary
`StringArrayConverter()`

Method Summary
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
`static java.lang.String` | `getAsString(java.lang.String[] strings, boolean escapeCommas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringArrayConverter

    public StringArrayConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String value)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.Object value)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public static java.lang.String getAsString(java.lang.String[] strings,
                                               boolean escapeCommas)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD